rte_class(3)

NAME
rte_class

SYNOPSIS

#include <rte_class.h>

  Public Member Functions

RTE_TAILQ_ENTRY (rte_class) next

  Data Fields

const char * name
rte_dev_iterate_t dev_iterate

Detailed Description

A structure describing a generic device class.

Definition at line 33 of file rte_class.h.

Member Function Documentation

  RTE_TAILQ_ENTRY (rte_class )
Next device class in linked list

Field Documentation

  const char* name
Name of the class

Definition at line 35 of file rte_class.h.

  rte_dev_iterate_t dev_iterate
Device iterator.

Definition at line 36 of file rte_class.h.

Author

Generated automatically by Doxygen for DPDK from the source code.